commit: 5b4a1af10a46d342859fdfe3f435b610de7f4944
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 8 02:32:53 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 8 02:32:53 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b4a1af1
dev-python/jaraco-context: Bump to 6.1.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/jaraco-context/Manifest | 1 +
.../jaraco-context/jaraco-context-6.1.1.ebuild | 63 ++++++++++++++++++++++
2 files changed, 64 insertions(+)
diff --git a/dev-python/jaraco-context/Manifest
b/dev-python/jaraco-context/Manifest
index 564f6dc32f0a..31f8148fae74 100644
--- a/dev-python/jaraco-context/Manifest
+++ b/dev-python/jaraco-context/Manifest
@@ -1 +1,2 @@
DIST jaraco_context-6.1.0.tar.gz 15850 BLAKE2B
e7d25d18fa97e77ce152b9152326e4980f305fd9ade71cc890546d8400c4102bb5bcc896b8ae079876f69e7d685d88d3c14bfae7aed46be5e28bad0c89caa77d
SHA512
19f9fe4e00cc94f46177604e2a6e44af3c21be22b2059f8f7d0c586a77007196a163df68e545808b5f73d10c4e429903ff33274f110a15601481f4eff8cf9f8f
+DIST jaraco_context-6.1.1.tar.gz 15832 BLAKE2B
bf329f1cb601bb793f68caa214cc683d968ac3a08615522868f451df5c4430d131d1a1cb3d8ff8d4d9165c0502432d3f401896911c0c0ea2827af69871dd8f50
SHA512
38ea4be2972ae21f98d3c1d77363db8d82d88ff786757004d7adc576383960c8193cdd89e5662b0772b99072fe4cd7099815f179f8042a6d64f335c0d3dd66ff
diff --git a/dev-python/jaraco-context/jaraco-context-6.1.1.ebuild
b/dev-python/jaraco-context/jaraco-context-6.1.1.ebuild
new file mode 100644
index 000000000000..2573cade011f
--- /dev/null
+++ b/dev-python/jaraco-context/jaraco-context-6.1.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{11..14} python3_{13,14}t pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Context managers by jaraco"
+HOMEPAGE="
+ https://github.com/jaraco/jaraco.context/
+ https://pypi.org/project/jaraco.context/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/backports-tarfile[${PYTHON_USEDEP}]
+ ' 3.11)
+"
+BDEPEND="
+ test? (
+ dev-python/portend[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ jaraco/context/__init__.py::jaraco.context.repo_context
+)
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "jaraco.context"
+ version = "${PV}"
+ description = "Context managers by jaraco"
+ EOF
+}
+
+python_install() {
+ distutils-r1_python_install
+ # rename to workaround a bug in pkg_resources
+ # https://bugs.gentoo.org/834522
+ mv "${D}$(python_get_sitedir)"/jaraco{_,.}context-${PV}.dist-info || die
+}